package common.item.block;

import common.block.Block;
import common.item.ItemStack;

public class ItemColored extends ItemBlock
{
    public ItemColored(Block block, String flatTexture)
    {
        super(block, flatTexture);
    }

    public ItemColored(Block block)
    {
        super(block);
    }

    public int getColorFromItemStack(ItemStack stack, int renderPass)
    {
        return this.block.getRenderColor(this.block.getState());
    }
}
